Groovy Documentation

## org.codehaus.groovy.grails.web.converters.configuration
[Java] Class ChainedConverterConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.configuration.ChainedConverterConfiguration

All Implemented Interfaces:
  ConverterConfiguration

    @SuppressWarnings("rawtypes")
    public class ChainedConverterConfiguration

An immutable ConverterConfiguration which chains the lookup calls for ObjectMarshallers for performance reasons.

Authors:
  Siegfried Puchbauer
  Graeme Rocher

Since:
  1.1

Nested Class Summary
`class` | `ChainedConverterConfiguration.ChainedObjectMarshaller`

Constructor Summary
`ChainedConverterConfiguration(ConverterConfiguration cfg)`
`ChainedConverterConfiguration(ConverterConfiguration cfg, ProxyHandler proxyHandler)`

Method Summary
`java.lang.Object` | `getCircularReferenceBehaviour()`
`java.lang.String` | `getEncoding()`
`ObjectMarshaller` | `getMarshaller(java.lang.Object o)`
`java.util.List` | `getOrderedObjectMarshallers()`
`ProxyHandler` | `getProxyHandler()`
`boolean` | `isPrettyPrint()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ChainedConverterConfiguration

    public ChainedConverterConfiguration(ConverterConfiguration cfg)

### ChainedConverterConfiguration

    public ChainedConverterConfiguration(ConverterConfiguration cfg, ProxyHandler proxyHandler)

Method Detail

### getCircularReferenceBehaviour

    public java.lang.Object getCircularReferenceBehaviour()

### getEncoding

    public java.lang.String getEncoding()

### getMarshaller

    public ObjectMarshaller getMarshaller(java.lang.Object o)

### getOrderedObjectMarshallers

    public java.util.List getOrderedObjectMarshallers()

### getProxyHandler

    public ProxyHandler getProxyHandler()

### isPrettyPrint

    public boolean isPrettyPrint()

Groovy Documentation